Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.hw.verilog
Class Map

    java.lang.Object
      rdlc.commands.Map.Language
          rdlc.hw.Map
              rdlc.hw.verilog.Map

    public class Map

extends Map

The verilog specific map project. Extends the hardware specific `Map` to add the emit method which generates verilog.

Version:
  $Revision: 1.7 $
Author:
  Greg Gibeling

Field Summary

Fields inherited from class rdlc.hw.Map
`library, rootDecl`

Fields inherited from class rdlc.commands.Map.Language
`accurateSim, autoShells, command, config, map`

Constructor Summary
`Map(Map _command, java.lang.String _config, Map _map, java.lang.Boolean _accurateSim, java.lang.Boolean _autoShells)`

Method Summary
`java.util.List<java.io.File>` | `invoke()` Invoke this language specific output generator and return a manifest of the files it generates.

Methods inherited from class rdlc.hw.Map
`generate, generateChannels`

Methods inherited from class rdlc.commands.Map.Language
`backEndPlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Map

    public Map(Map _command,
               java.lang.String _config,
               Map _map,
               java.lang.Boolean _accurateSim,
               java.lang.Boolean _autoShells)

See Also:
  `Map.Map(rdlc.commands.Map, String, rdlc.rdl.Map, Boolean, Boolean)`

Method Detail

### invoke

    public java.util.List<java.io.File> invoke()

  Description copied from class: `Map.Language`
  Invoke this language specific output generator and return a manifest of the files it generates.

  Specified by:
    `invoke` in class `Map.Language`
  See Also:
    `Map.Language.invoke()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD